<?php wp_enqueue_style( 'ajbld-advanced-justified-blog-layout-design-styles', plugin_dir_url(__DIR__ ) . 'assets/css/styles.css', array(), '', 'all' ); ?>

<div class="blog-content blog-post-<?php echo esc_attr($showcase_id); ?> main-container<?php if ($blog_post_link_post == 'lightbox') { ?> lightbox-parent<?php } ?> blog-justified-tilu">
	<?php 
	if($blog_layout_select_display_post == "category") {
		$blog_layout_showcase_cats = $blog_layout_showcase_cats;
	} elseif($blog_layout_select_display_post == "specific_post") {
		$blog_layout_showcase_cats = $blog_layout_showcase_category_filter;
	}
	ajbld_ta_filter_justified_temp($use_filter, $blog_layout_showcase_cats, $blog_layout_select_display_post); ?>
	<div class="blog-block-wrap justify justified-blog blog-justified-unique">
		<?php
			while ( $ta_blog_loop->have_posts() ) : $ta_blog_loop->the_post();

			if(!empty($blog_img_height)) {
				$blog_img_height = $blog_img_height;
			} else {
				$blog_img_height = 400;
			}

			$image_height_fit = $blog_img_height * 1.1;

			if (has_post_thumbnail()) {
				$img_url_porto = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
				$image_portores =  aq_resize($img_url_porto[0],  9999 , $image_height_fit, false, true, true);
				$image_gallery = $img_url_porto[0];

			} else {
				$image_portores = '';
				$image_gallery = '';
			}

			global $post;
			$category_name = array();
			$category_terms = get_the_terms($post->ID, 'category');
			if(!empty($category_terms)){
				if(!is_wp_error( $category_terms )){
				$category_slugs = array();
					foreach($category_terms as $term){
						$category_name[] = $term->name;
						$category_slugs[] = $term->slug;
					}
			$porto_comas =  join( ", ", $category_name );
			$porto_space =  join( " ", $category_slugs );
				}
			}

			if($blog_post_link_post == 'post_item') {
				$link_post = get_permalink();
			} elseif ($blog_post_link_post == 'lightbox') {
				$link_post = $image_gallery;
			} elseif ($blog_post_link_post == 'lightbox_blog_layout_item') {
				$link_post = "#";
			}

		?>
		<div class="justify-item <?php echo sanitize_text_field($porto_space); ?>">
			<div class="justify-inner">
				<div class="item-wrap">
					<div class="item-wrap-inner<?php if(!has_post_thumbnail()) { ?> no-thumb<?php } ?>">
						<?php if (has_post_thumbnail()) { ?>
						<img src="<?php echo esc_url($image_portores); ?>" alt="<?php the_title(); ?>">
						<?php } else { 
							echo '<div class="holder-box" style="width:100%; background-color: #f5f5f5;"></div>';
						} ?>
						<figcaption class="blog__content">
							<div class="inner-content">
								<div class="categories hastags"><?php the_category(' '); ?></div>
								<a <?php if ($blog_post_link_post == 'lightbox') { ?>href="" class="lightbox-image title-blog-text" title="<?php the_title(); ?>" data-src="<?php echo $link_post; ?>"<?php } else { ?> href="<?php echo esc_url($link_post); ?>" class="title-blog-text"<?php } ?>><h3><?php the_title(); ?></h3>
								</a>
								<span class="date"><?php the_time( get_option( 'date_format' ) ); ?></span>
								<a <?php if ($blog_post_link_post == 'lightbox') { ?>href="" class="lightbox-image" title="<?php the_title(); ?>" data-src="<?php echo $link_post; ?>"<?php } else { ?> href="<?php echo esc_url($link_post); ?>"<?php } ?>><?php echo esc_html('View', 'advanced-justified-blog-layout-design') ?></a>
							</div>
						</figcaption>
					</div>
				</div>
			</div>
		</div>
		<?php
		endwhile; wp_reset_postdata(); ?>
	</div>

	<!-- PAGINATION START -->
	<?php
	$pages = '';
	$range = 2;
	$showitems = ($range * 2)+1;
	if($pages == '')
	{
		$pages = $ta_blog_loop->max_num_pages;
		if(!$pages)
		{
			$pages = 1;
		}
	}
	if($blog_layout_pagination_type == 'pagination_number') {
		if(1 != $pages)
		{

			echo "<div class='navigation-paging pagination-num clearfix'>";
				echo "<div class='container'>";
					if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>First</a>";
					if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

					for ($i=1; $i <= $pages; $i++)
					{
						if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
						{
							echo ($paged == $i)? "<span class='btn current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='btn inactive' >".$i."</a>";
						}
					}

					if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";
					if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>Last</a>";
				echo "</div>\n";
			echo "</div>\n";

		}
	}
	elseif($blog_layout_pagination_type == 'pagination_default') {
		if(1 != $pages) { ?>
		<nav class="navigation-paging pagination pagination-page-template clearfix">
			<div class="container">
				<div class="post-navigation nav-previous pull-left">
					<?php echo next_posts_link( 'Next', $ta_blog_loop->max_num_pages ); ?>
				</div>
				<?php if ( get_previous_posts_link() ) : ?>
				<div class="post-navigation nav-next pull-right">
					<?php echo get_previous_posts_link( esc_html__( 'Prev', 'blog-layout-design' ) ); ?>
				</div>
				<?php endif; ?>
			</div>
		</nav>
	<?php }
	}
	elseif ($blog_layout_pagination_type == 'blog_pagination_none') {
		echo '';
	} ?>

	<?php 
	if(in_array('advanced-justified-blog-layout-design/advanced-justified-blog-layout-design.php', apply_filters('active_plugins', get_option('active_plugins')))){
		if($blog_layout_pagination_type == 'pagination_load_more') {
		if (!empty($blog_layout_text_load_more)) {
			$blog_layout_text_load_more = esc_html($blog_layout_text_load_more);
		} else {
			$blog_layout_text_load_more = esc_html__('Load More', 'blog-layout-design');
		} ?>
		<div class="container clearfix">
			<div class="navigation-paging infinite-wrap clearfix">
				<div id="load-more-loop-grid-1" class="infinite-button" data-page="<?php echo esc_attr($ta_blog_loop->max_num_pages); ?>">
					<?php next_posts_link( '', $ta_blog_loop->max_num_pages ); ?>
				</div>
				<button id="load-infinite-loop-grid11" class="btn"><?php echo $blog_layout_text_load_more; ?></button>
			</div>
		</div>
		<?php } ?>

		<?php if($blog_layout_pagination_type == 'pagination_infinite') { ?>
		<div class="display-none">
			<div id="load-more-loop-grid-1" class="infinite-button">
				<?php next_posts_link( '', $ta_blog_loop->max_num_pages ); ?>
			</div>
			<button id="load-infinite-loop-grid11" class="btn"><?php echo esc_html__( 'Load More' ); ?></button>
		</div>
		<?php }
	} ?>
</div>
<?php

wp_enqueue_script( 'ajbld-advanced-justified-blog-layout-design-infinite-scroll',  plugin_dir_url(__DIR__ ).'assets/js/infinite-scroll.min.js', array('masonry'), '', false );

if ($blog_post_link_post == 'lightbox') {
	wp_enqueue_style( 'ajbld-advanced-justified-blog-layout-design-light-gallery', plugin_dir_url(__DIR__ ).'assets/css/lightgallery.css', array(), '', 'all' );
	wp_enqueue_script( 'ajbld-advanced-justified-blog-layout-design-light-gallery',  plugin_dir_url(__DIR__ ).'assets/js/lightgallery.js', array('jquery'), '', false );
}

wp_enqueue_script( 'ta-blog-layout-design-justifiedgallery', get_bloginfo('wpurl').'/wp-content/plugins/blog-layout-design/public/js/justifiedGallery.min.js', array('jquery', 'imagesloaded'), '', false );

wp_enqueue_script( 'ta-blog-layout-design-anime', get_bloginfo('wpurl').'/wp-content/plugins/blog-layout-design/public/js/anime.min.js', array('jquery'), '', false );

wp_enqueue_script( 'ta-blog-layout-design-effect-justified', get_bloginfo('wpurl').'/wp-content/plugins/blog-layout-design/public/js/effect-justified.js', array('jquery'), '', false ); ?>

<?php 
$padding = carbon_get_post_meta( $showcase_id, 'blog_layout_showcase_padding' );
if($padding != "" || $padding === 0) {
	$padding = $padding;
} else {
	$padding = 20;
} ?>
<?php 
if(class_exists('Elementor\Plugin')) {
	if (\Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
		<script>
		(function($) {
			'use strict';

			$(document).ready(function () {
				imagesLoaded('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify', function() {
					var $grid = $(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify").justifiedGallery({
						rowHeight: <?php echo intval($blog_img_height); ?>,
						selector: 'div.justify-item',
						margins: <?php echo intval($padding); ?>,
						border: 0,
						randomize: false,
					});
				});

				$(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify-item").css("position", "absolute");
				$(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify").justifiedGallery('norewind');
			});

		})( jQuery );
		</script>
	<?php } else { ?>
	<script>
		(function($) {
			'use strict';
			$('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify').addClass('grid--loading');

			var body = document.querySelectorAll('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify'),
				grids = [].slice.call(document.querySelectorAll('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify')), masonry = [],
				currentGrid = 0,
				// The GridLoaderFx instances.
				loaders = [],
				loadingTimeout = setTimeout (500);


			function init() {
				// Preload images

				imagesLoaded('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify', function() {
					// Initialize Masonry on each grid.

					var $grid = $(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify").justifiedGallery({
						rowHeight: <?php echo intval($blog_img_height); ?>,
						selector: 'div.justify-item',
						margins: <?php echo intval($padding); ?>,
						border: 0,
						randomize: false,
						waitThumbnailsLoad: false
					});

					loaders.push(new GridLoaderFx(grids[currentGrid]));

					loaders[currentGrid]._render("<?php if(!empty($blog_layout_awesome_post_loading_grid)) { echo $blog_layout_awesome_post_loading_grid; } else { echo 'Hapi'; } ?>");

					// Show current grid.
					grids[currentGrid].classList.remove('grid--loading');

					$(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify-item").css("position", "absolute");
				});
			}

			$(window).on('load', function () {
				init();
			});
		})( jQuery );
	</script>
	<?php 
		ajbld_ta_filter_justified_script($showcase_id, $use_filter, $blog_layout_pagination_type); ?>
	<?php } ?>
<?php } else { ?>
	<script>
		(function($) {
			'use strict';
			$('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify').addClass('grid--loading');

			var body = document.querySelectorAll('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify'),
				grids = [].slice.call(document.querySelectorAll('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify')), masonry = [],
				currentGrid = 0,
				// The GridLoaderFx instances.
				loaders = [],
				loadingTimeout = setTimeout (500);


			function init() {
				// Preload images

				imagesLoaded('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify', function() {
					// Initialize Masonry on each grid.

					var $grid = $(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify").justifiedGallery({
						rowHeight: <?php echo intval($blog_img_height); ?>,
						selector: 'div.justify-item',
						margins: <?php echo intval($padding); ?>,
						border: 0,
						randomize: false,
						waitThumbnailsLoad: false
					});

					loaders.push(new GridLoaderFx(grids[currentGrid]));

					loaders[currentGrid]._render("<?php if(!empty($blog_layout_awesome_post_loading_grid)) { echo $blog_layout_awesome_post_loading_grid; } else { echo 'Hapi'; } ?>");

					// Show current grid.
					grids[currentGrid].classList.remove('grid--loading');

					$(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify-item").css("position", "absolute");
				});
			}

			$(window).on('load', function () {
				init();
			});
		})( jQuery );
	</script>

	<?php 
		ajbld_ta_filter_justified_script($showcase_id, $use_filter, $blog_layout_pagination_type);
	 ?>
<?php } ?>
	
<?php if ($blog_post_link_post == 'lightbox') { ?>
<script>
(function($) {

	'use strict';
	$(document).on('ready', function () {
		if ($('.lightbox-parent').length) {
	        $('.lightbox-parent').lightGallery({
	            thumbnail: false,
	            download: false,
	            selector: '.lightbox-image'
	        });
	    }
	});

})( jQuery );
</script>
<?php }